Thread (7 messages) 7 messages, 4 authors, 2016-06-15

Re: [PATCH] Make sure $PERL_PATH is defined when the test suite is run.

From: Philippe Bruhat (BooK) <hidden>
Date: 2016-06-15 22:47:43

Possibly related (same subject, not in this thread)

On Mon, Nov 16, 2009 at 04:10:13PM -0800, Junio C Hamano wrote:
"Philippe Bruhat (BooK)" [off-list ref] writes:
quoted
diff --git a/t/t9400-git-cvsserver-server.sh b/t/t9400-git-cvsserver-server.sh
index 64f947d..dc710f8 100755
--- a/t/t9400-git-cvsserver-server.sh
+++ b/t/t9400-git-cvsserver-server.sh
@@ -20,7 +20,7 @@ then
     say 'skipping git-cvsserver tests, cvs not found'
     test_done
 fi
-perl -e 'use DBI; use DBD::SQLite' >/dev/null 2>&1 || {
+$PERL_PATH -e 'use DBI; use DBD::SQLite' >/dev/null 2>&1 || {
     say 'skipping git-cvsserver tests, Perl SQLite interface unavailable'
     test_done
 }
Shouldn't these $PERL_PATH all be quoted inside double-quotes?
I have no idea. I assume it's to protect against paths with a space in
them, so yes, probably.

Amending my patch and sending again.

-- 
 Philippe Bruhat (BooK)

 When you double-cross a friend, you triple-cross yourself.
                                     (Moral from Groo The Wanderer #8 (Epic))
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help